// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDAImportationResult extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{4A933702-E36F-11D0-9B99-00C04FC2F51D}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDAImportationResult.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDAImportationResult Object
     */
    public IDAImportationResult() throws COMException {
        super();
    }
    /**
     * Creates IDAImportationResult Object with progID
     */
    public IDAImportationResult(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDAImportationResult Object
     */
    public IDAImportationResult(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDAImportationResult Object with CLSID
     */
    public IDAImportationResult(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * Image from import
     */
    public IDAImage getImage() throws COMException {
        return new IDAImage((DispatchPtr) get("Image"));
    }
    /**
     * Sound from import
     */
    public IDASound getSound() throws COMException {
        return new IDASound((DispatchPtr) get("Sound"));
    }
    /**
     * Geometry from import
     */
    public IDAGeometry getGeometry() throws COMException {
        return new IDAGeometry((DispatchPtr) get("Geometry"));
    }
    /**
     * Media duration in seconds
     */
    public IDANumber getDuration() throws COMException {
        return new IDANumber((DispatchPtr) get("Duration"));
    }
    /**
     * Event that fires on download completion
     */
    public IDAEvent getCompletionEvent() throws COMException {
        return new IDAEvent((DispatchPtr) get("CompletionEvent"));
    }
    /**
     * Percentage progress (from 0 to 1).
     */
    public IDANumber getProgress() throws COMException {
        return new IDANumber((DispatchPtr) get("Progress"));
    }
    /**
     * Media size in bytes
     */
    public IDANumber getSize() throws COMException {
        return new IDANumber((DispatchPtr) get("Size"));
    }
}
