// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\EXCEL.EXE
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class Sheets extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000208D7-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Sheets.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Sheets Object
     */
    public Sheets() throws COMException {
        super();
    }
    /**
     * Creates Sheets Object with progID
     */
    public Sheets(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Sheets Object
     */
    public Sheets(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Sheets Object with CLSID
     */
    public Sheets(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public DispatchPtr Add() throws COMException {
        return (DispatchPtr) invoke("Add");
    }
    public DispatchPtr Add(java.lang.Object Before) throws COMException {
        return (DispatchPtr) invokeN("Add", new Object[]{Before}, 1);
    }
    public DispatchPtr Add(java.lang.Object Before, java.lang.Object After) throws COMException {
        return (DispatchPtr) invokeN("Add", new Object[]{Before, After}, 2);
    }
    public DispatchPtr Add(java.lang.Object Before, java.lang.Object After, java.lang.Object Count) throws COMException {
        return (DispatchPtr) invokeN("Add", new Object[]{Before, After, Count}, 3);
    }
    public DispatchPtr Add(java.lang.Object Before, java.lang.Object After, java.lang.Object Count, java.lang.Object Type) throws COMException {
        return (DispatchPtr) invokeN("Add", new Object[]{Before, After, Count, Type}, 4);
    }
    /**
     * 
     */
    public void Copy() throws COMException {
        invoke("Copy");
    }
    public void Copy(java.lang.Object Before) throws COMException {
        invokeN("Copy", new Object[]{Before}, 1);
    }
    public void Copy(java.lang.Object Before, java.lang.Object After) throws COMException {
        invokeN("Copy", new Object[]{Before, After}, 2);
    }
    /**
     * 
     */
    public int getCount() throws COMException {
        return ((java.lang.Integer) get("Count")).intValue();
    }
    /**
     * 
     */
    public void Delete() throws COMException {
        invoke("Delete");
    }
    /**
     * 
     */
    public void FillAcrossSheets(Range Range, int Type) throws COMException {
        invokeN("FillAcrossSheets", new Object[]{Range, new java.lang.Integer(Type)}, 2);
    }
    /**
     * 
     */
    public DispatchPtr getItem(java.lang.Object Index) throws COMException {
        return (DispatchPtr) getN("Item", new Object[]{Index});
    }
    /**
     * 
     */
    public void Move() throws COMException {
        invoke("Move");
    }
    public void Move(java.lang.Object Before) throws COMException {
        invokeN("Move", new Object[]{Before}, 1);
    }
    public void Move(java.lang.Object Before, java.lang.Object After) throws COMException {
        invokeN("Move", new Object[]{Before, After}, 2);
    }
    /**
     * 
     */
    public IUnknown get_NewEnum() throws COMException {
        return (IUnknown) get("_NewEnum");
    }
    /**
     * 
     */
    public void _PrintOut() throws COMException {
        invoke("_PrintOut");
    }
    public void _PrintOut(java.lang.Object From) throws COMException {
        invokeN("_PrintOut", new Object[]{From}, 1);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To}, 2);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies}, 3);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview}, 4);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter}, 5);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile}, 6);
    }
    public void _PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate) throws COMException {
        invokeN("_PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate}, 7);
    }
    /**
     * 
     */
    public void PrintPreview() throws COMException {
        invoke("PrintPreview");
    }
    public void PrintPreview(java.lang.Object EnableChanges) throws COMException {
        invokeN("PrintPreview", new Object[]{EnableChanges}, 1);
    }
    /**
     * 
     */
    public void Select() throws COMException {
        invoke("Select");
    }
    public void Select(java.lang.Object Replace) throws COMException {
        invokeN("Select", new Object[]{Replace}, 1);
    }
    /**
     * 
     */
    public HPageBreaks getHPageBreaks() throws COMException {
        return new HPageBreaks((DispatchPtr) get("HPageBreaks"));
    }
    /**
     * 
     */
    public VPageBreaks getVPageBreaks() throws COMException {
        return new VPageBreaks((DispatchPtr) get("VPageBreaks"));
    }
    /**
     * 
     */
    public java.lang.Object getVisible() throws COMException {
        return (java.lang.Object) get("Visible");
    }
    /**
     * 
     */
    public void setVisible(java.lang.Object newVisible) throws COMException {
        put("Visible", newVisible);
    }
    /**
     * 
     */
    public DispatchPtr get_Default(java.lang.Object Index) throws COMException {
        return (DispatchPtr) getN("_Default", new Object[]{Index});
    }
    /**
     * 
     */
    public void PrintOut() throws COMException {
        invoke("PrintOut");
    }
    public void PrintOut(java.lang.Object From) throws COMException {
        invokeN("PrintOut", new Object[]{From}, 1);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To) throws COMException {
        invokeN("PrintOut", new Object[]{From, To}, 2);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies}, 3);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview}, 4);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter}, 5);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile}, 6);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate}, 7);
    }
    public void PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate, java.lang.Object PrToFileName) throws COMException {
        invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate, PrToFileName}, 8);
    }
}
