// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\shdocvw.dll
// check for latest version at http://www.composiasoft.com

package SHDocVw;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IShellNameSpace extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{E572D3C9-37BE-4AE2-825D-D521763E3108}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IShellNameSpace.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IShellNameSpace Object
     */
    public IShellNameSpace() throws COMException {
        super();
    }
    /**
     * Creates IShellNameSpace Object with progID
     */
    public IShellNameSpace(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IShellNameSpace Object
     */
    public IShellNameSpace(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IShellNameSpace Object with CLSID
     */
    public IShellNameSpace(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * method MoveSelectionUp
     */
    public void MoveSelectionUp() throws COMException {
        invoke("MoveSelectionUp");
    }
    /**
     * method MoveSelectionDown
     */
    public void MoveSelectionDown() throws COMException {
        invoke("MoveSelectionDown");
    }
    /**
     * method ResetSort
     */
    public void ResetSort() throws COMException {
        invoke("ResetSort");
    }
    /**
     * method NewFolder
     */
    public void NewFolder() throws COMException {
        invoke("NewFolder");
    }
    /**
     * method Synchronize
     */
    public void Synchronize() throws COMException {
        invoke("Synchronize");
    }
    /**
     * method Import
     */
    public void Import() throws COMException {
        invoke("Import");
    }
    /**
     * method Export
     */
    public void Export() throws COMException {
        invoke("Export");
    }
    /**
     * method InvokeContextMenuCommand
     */
    public void InvokeContextMenuCommand(java.lang.String strCommand) throws COMException {
        invokeN("InvokeContextMenuCommand", new Object[]{strCommand}, 1);
    }
    /**
     * method MoveSelectionTo
     */
    public void MoveSelectionTo() throws COMException {
        invoke("MoveSelectionTo");
    }
    /**
     * Query to see if subscriptions are enabled
     */
    public boolean getSubscriptionsEnabled() throws COMException {
        return ((java.lang.Boolean) get("SubscriptionsEnabled")).booleanValue();
    }
    /**
     * method CreateSubscriptionForSelection
     */
    public boolean CreateSubscriptionForSelection() throws COMException {
        return ((java.lang.Boolean) invoke("CreateSubscriptionForSelection")).booleanValue();
    }
    /**
     * method DeleteSubscriptionForSelection
     */
    public boolean DeleteSubscriptionForSelection() throws COMException {
        return ((java.lang.Boolean) invoke("DeleteSubscriptionForSelection")).booleanValue();
    }
    /**
     * old, use put_Root() instead
     */
    public void SetRoot(java.lang.String bstrFullPath) throws COMException {
        invokeN("SetRoot", new Object[]{bstrFullPath}, 1);
    }
    /**
     * options 
     */
    public int getEnumOptions() throws COMException {
        return ((java.lang.Integer) get("EnumOptions")).intValue();
    }
    /**
     * options 
     */
    public void setEnumOptions(int newEnumOptions) throws COMException {
        put("EnumOptions", new java.lang.Integer(newEnumOptions));
    }
    /**
     * get the selected item
     */
    public DispatchPtr getSelectedItem() throws COMException {
        return (DispatchPtr) get("SelectedItem");
    }
    /**
     * get the selected item
     */
    public void setSelectedItem(DispatchPtr newSelectedItem) throws COMException {
        put("SelectedItem", newSelectedItem);
    }
    /**
     * get the root item
     */
    public java.lang.Object getRoot() throws COMException {
        return (java.lang.Object) get("Root");
    }
    /**
     * get the root item
     */
    public void setRoot(java.lang.Object newRoot) throws COMException {
        put("Root", newRoot);
    }
    /**
     * 
     */
    public int getDepth() throws COMException {
        return ((java.lang.Integer) get("Depth")).intValue();
    }
    /**
     * 
     */
    public void setDepth(int newDepth) throws COMException {
        put("Depth", new java.lang.Integer(newDepth));
    }
    /**
     * 
     */
    public int getMode() throws COMException {
        return ((java.lang.Integer) get("Mode")).intValue();
    }
    /**
     * 
     */
    public void setMode(int newMode) throws COMException {
        put("Mode", new java.lang.Integer(newMode));
    }
    /**
     * 
     */
    public int getFlags() throws COMException {
        return ((java.lang.Integer) get("Flags")).intValue();
    }
    /**
     * 
     */
    public void setFlags(int newFlags) throws COMException {
        put("Flags", new java.lang.Integer(newFlags));
    }
    /**
     * 
     */
    public void setTVFlags(int newTVFlags) throws COMException {
        put("TVFlags", new java.lang.Integer(newTVFlags));
    }
    /**
     * 
     */
    public int getTVFlags() throws COMException {
        return ((java.lang.Integer) get("TVFlags")).intValue();
    }
    /**
     * 
     */
    public java.lang.String getColumns() throws COMException {
        return (java.lang.String) get("Columns");
    }
    /**
     * 
     */
    public void setColumns(java.lang.String newColumns) throws COMException {
        put("Columns", newColumns);
    }
    /**
     * number of view types
     */
    public int getCountViewTypes() throws COMException {
        return ((java.lang.Integer) get("CountViewTypes")).intValue();
    }
    /**
     * set view type
     */
    public void SetViewType(int iType) throws COMException {
        invokeN("SetViewType", new Object[]{new java.lang.Integer(iType)}, 1);
    }
    /**
     * collection of selected items
     */
    public DispatchPtr SelectedItems() throws COMException {
        return (DispatchPtr) invoke("SelectedItems");
    }
    /**
     * expands item specified depth
     */
    public void Expand(java.lang.Object var, int iDepth) throws COMException {
        invokeN("Expand", new Object[]{var, new java.lang.Integer(iDepth)}, 2);
    }
    /**
     * unselects all items
     */
    public void UnselectAll() throws COMException {
        invoke("UnselectAll");
    }
}
