// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\MSWORD.OLB
// check for latest version at http://www.composiasoft.com

package Word;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class Cell extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{0002094E-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Cell.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Cell Object
     */
    public Cell() throws COMException {
        super();
    }
    /**
     * Creates Cell Object with progID
     */
    public Cell(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Cell Object
     */
    public Cell(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Cell Object with CLSID
     */
    public Cell(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public Range getRange() throws COMException {
        return new Range((DispatchPtr) get("Range"));
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public int getRowIndex() throws COMException {
        return ((java.lang.Integer) get("RowIndex")).intValue();
    }
    /**
     * 
     */
    public int getColumnIndex() throws COMException {
        return ((java.lang.Integer) get("ColumnIndex")).intValue();
    }
    /**
     * 
     */
    public float getWidth() throws COMException {
        return ((java.lang.Float) get("Width")).floatValue();
    }
    /**
     * 
     */
    public void setWidth(float newWidth) throws COMException {
        put("Width", new java.lang.Float(newWidth));
    }
    /**
     * 
     */
    public float getHeight() throws COMException {
        return ((java.lang.Float) get("Height")).floatValue();
    }
    /**
     * 
     */
    public void setHeight(float newHeight) throws COMException {
        put("Height", new java.lang.Float(newHeight));
    }
    /**
     * 
     */
    public int getHeightRule() throws COMException {
        return ((java.lang.Integer) get("HeightRule")).intValue();
    }
    /**
     * 
     */
    public void setHeightRule(int newHeightRule) throws COMException {
        put("HeightRule", new java.lang.Integer(newHeightRule));
    }
    /**
     * 
     */
    public int getVerticalAlignment() throws COMException {
        return ((java.lang.Integer) get("VerticalAlignment")).intValue();
    }
    /**
     * 
     */
    public void setVerticalAlignment(int newVerticalAlignment) throws COMException {
        put("VerticalAlignment", new java.lang.Integer(newVerticalAlignment));
    }
    /**
     * 
     */
    public Column getColumn() throws COMException {
        return new Column((DispatchPtr) get("Column"));
    }
    /**
     * 
     */
    public Row getRow() throws COMException {
        return new Row((DispatchPtr) get("Row"));
    }
    /**
     * 
     */
    public Cell getNext() throws COMException {
        return new Cell((DispatchPtr) get("Next"));
    }
    /**
     * 
     */
    public Cell getPrevious() throws COMException {
        return new Cell((DispatchPtr) get("Previous"));
    }
    /**
     * 
     */
    public Shading getShading() throws COMException {
        return new Shading((DispatchPtr) get("Shading"));
    }
    /**
     * 
     */
    public Borders getBorders() throws COMException {
        return new Borders((DispatchPtr) get("Borders"));
    }
    /**
     * 
     */
    public void setBorders(Borders newBorders) throws COMException {
        put("Borders", newBorders);
    }
    /**
     * 
     */
    public void Select() throws COMException {
        invoke("Select");
    }
    /**
     * 
     */
    public void Delete() throws COMException {
        invoke("Delete");
    }
    public void Delete(ObjectRef ShiftCells) throws COMException {
        invokeN("Delete", new Object[]{ShiftCells}, 1);
    }
    /**
     * 
     */
    public void Formula() throws COMException {
        invoke("Formula");
    }
    public void Formula(ObjectRef Formula) throws COMException {
        invokeN("Formula", new Object[]{Formula}, 1);
    }
    public void Formula(ObjectRef Formula, ObjectRef NumFormat) throws COMException {
        invokeN("Formula", new Object[]{Formula, NumFormat}, 2);
    }
    /**
     * 
     */
    public void SetWidth(float ColumnWidth, int RulerStyle) throws COMException {
        invokeN("SetWidth", new Object[]{new java.lang.Float(ColumnWidth), new java.lang.Integer(RulerStyle)}, 2);
    }
    /**
     * 
     */
    public void SetHeight(ObjectRef RowHeight, int HeightRule) throws COMException {
        invokeN("SetHeight", new Object[]{RowHeight, new java.lang.Integer(HeightRule)}, 2);
    }
    /**
     * 
     */
    public void Merge(Cell MergeTo) throws COMException {
        invokeN("Merge", new Object[]{MergeTo}, 1);
    }
    /**
     * 
     */
    public void Split() throws COMException {
        invoke("Split");
    }
    public void Split(ObjectRef NumRows) throws COMException {
        invokeN("Split", new Object[]{NumRows}, 1);
    }
    public void Split(ObjectRef NumRows, ObjectRef NumColumns) throws COMException {
        invokeN("Split", new Object[]{NumRows, NumColumns}, 2);
    }
    /**
     * 
     */
    public void AutoSum() throws COMException {
        invoke("AutoSum");
    }
    /**
     * 
     */
    public Tables getTables() throws COMException {
        return new Tables((DispatchPtr) get("Tables"));
    }
    /**
     * 
     */
    public int getNestingLevel() throws COMException {
        return ((java.lang.Integer) get("NestingLevel")).intValue();
    }
    /**
     * 
     */
    public boolean getWordWrap() throws COMException {
        return ((java.lang.Boolean) get("WordWrap")).booleanValue();
    }
    /**
     * 
     */
    public void setWordWrap(boolean newWordWrap) throws COMException {
        put("WordWrap", new java.lang.Boolean(newWordWrap));
    }
    /**
     * 
     */
    public float getPreferredWidth() throws COMException {
        return ((java.lang.Float) get("PreferredWidth")).floatValue();
    }
    /**
     * 
     */
    public void setPreferredWidth(float newPreferredWidth) throws COMException {
        put("PreferredWidth", new java.lang.Float(newPreferredWidth));
    }
    /**
     * 
     */
    public boolean getFitText() throws COMException {
        return ((java.lang.Boolean) get("FitText")).booleanValue();
    }
    /**
     * 
     */
    public void setFitText(boolean newFitText) throws COMException {
        put("FitText", new java.lang.Boolean(newFitText));
    }
    /**
     * 
     */
    public float getTopPadding() throws COMException {
        return ((java.lang.Float) get("TopPadding")).floatValue();
    }
    /**
     * 
     */
    public void setTopPadding(float newTopPadding) throws COMException {
        put("TopPadding", new java.lang.Float(newTopPadding));
    }
    /**
     * 
     */
    public float getBottomPadding() throws COMException {
        return ((java.lang.Float) get("BottomPadding")).floatValue();
    }
    /**
     * 
     */
    public void setBottomPadding(float newBottomPadding) throws COMException {
        put("BottomPadding", new java.lang.Float(newBottomPadding));
    }
    /**
     * 
     */
    public float getLeftPadding() throws COMException {
        return ((java.lang.Float) get("LeftPadding")).floatValue();
    }
    /**
     * 
     */
    public void setLeftPadding(float newLeftPadding) throws COMException {
        put("LeftPadding", new java.lang.Float(newLeftPadding));
    }
    /**
     * 
     */
    public float getRightPadding() throws COMException {
        return ((java.lang.Float) get("RightPadding")).floatValue();
    }
    /**
     * 
     */
    public void setRightPadding(float newRightPadding) throws COMException {
        put("RightPadding", new java.lang.Float(newRightPadding));
    }
    /**
     * 
     */
    public java.lang.String getID() throws COMException {
        return (java.lang.String) get("ID");
    }
    /**
     * 
     */
    public void setID(java.lang.String newID) throws COMException {
        put("ID", newID);
    }
    /**
     * 
     */
    public int getPreferredWidthType() throws COMException {
        return ((java.lang.Integer) get("PreferredWidthType")).intValue();
    }
    /**
     * 
     */
    public void setPreferredWidthType(int newPreferredWidthType) throws COMException {
        put("PreferredWidthType", new java.lang.Integer(newPreferredWidthType));
    }
}
