// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\shdocvw.dll
// check for latest version at http://www.composiasoft.com

package SHDocVw;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IWebBrowser2 extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{D30C1661-CDAF-11D0-8A3E-00C04FC9E26E}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IWebBrowser2.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IWebBrowser2 Object
     */
    public IWebBrowser2() throws COMException {
        super();
    }
    /**
     * Creates IWebBrowser2 Object with progID
     */
    public IWebBrowser2(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IWebBrowser2 Object
     */
    public IWebBrowser2(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IWebBrowser2 Object with CLSID
     */
    public IWebBrowser2(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * Navigates to the previous item in the history list.
     */
    public void GoBack() throws COMException {
        invoke("GoBack");
    }
    /**
     * Navigates to the next item in the history list.
     */
    public void GoForward() throws COMException {
        invoke("GoForward");
    }
    /**
     * Go home/start page.
     */
    public void GoHome() throws COMException {
        invoke("GoHome");
    }
    /**
     * Go Search Page.
     */
    public void GoSearch() throws COMException {
        invoke("GoSearch");
    }
    /**
     * Navigates to a URL or file.
     */
    public void Navigate(java.lang.String URL) throws COMException {
        invokeN("Navigate", new Object[]{URL}, 1);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags}, 2);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName}, 3);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName, PostData}, 4);
    }
    public void Navigate(java.lang.String URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData, ObjectRef Headers) throws COMException {
        invokeN("Navigate", new Object[]{URL, Flags, TargetFrameName, PostData, Headers}, 5);
    }
    /**
     * Refresh the currently viewed page.
     */
    public void Refresh() throws COMException {
        invoke("Refresh");
    }
    /**
     * Refresh the currently viewed page.
     */
    public void Refresh2() throws COMException {
        invoke("Refresh2");
    }
    public void Refresh2(ObjectRef Level) throws COMException {
        invokeN("Refresh2", new Object[]{Level}, 1);
    }
    /**
     * Stops opening a file.
     */
    public void Stop() throws COMException {
        invoke("Stop");
    }
    /**
     * Returns the application automation object if accessible, this automation object otherwise..
     */
    public DispatchPtr getApplication() throws COMException {
        return (DispatchPtr) get("Application");
    }
    /**
     * Returns the automation object of the container/parent if one exists or this automation object.
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * Returns the container/parent automation object, if any.
     */
    public DispatchPtr getContainer() throws COMException {
        return (DispatchPtr) get("Container");
    }
    /**
     * Returns the active Document automation object, if any.
     */
    public DispatchPtr getDocument() throws COMException {
        return (DispatchPtr) get("Document");
    }
    /**
     * Returns True if this is the top level object.
     */
    public boolean getTopLevelContainer() throws COMException {
        return ((java.lang.Boolean) get("TopLevelContainer")).booleanValue();
    }
    /**
     * Returns the type of the contained document object.
     */
    public java.lang.String getType() throws COMException {
        return (java.lang.String) get("Type");
    }
    /**
     * The horizontal position (pixels) of the frame window relative to the screen/container.
     */
    public int getLeft() throws COMException {
        return ((java.lang.Integer) get("Left")).intValue();
    }
    /**
     * The horizontal position (pixels) of the frame window relative to the screen/container.
     */
    public void setLeft(int newLeft) throws COMException {
        put("Left", new java.lang.Integer(newLeft));
    }
    /**
     * The vertical position (pixels) of the frame window relative to the screen/container.
     */
    public int getTop() throws COMException {
        return ((java.lang.Integer) get("Top")).intValue();
    }
    /**
     * The vertical position (pixels) of the frame window relative to the screen/container.
     */
    public void setTop(int newTop) throws COMException {
        put("Top", new java.lang.Integer(newTop));
    }
    /**
     * The horizontal dimension (pixels) of the frame window/object.
     */
    public int getWidth() throws COMException {
        return ((java.lang.Integer) get("Width")).intValue();
    }
    /**
     * The horizontal dimension (pixels) of the frame window/object.
     */
    public void setWidth(int newWidth) throws COMException {
        put("Width", new java.lang.Integer(newWidth));
    }
    /**
     * The vertical dimension (pixels) of the frame window/object.
     */
    public int getHeight() throws COMException {
        return ((java.lang.Integer) get("Height")).intValue();
    }
    /**
     * The vertical dimension (pixels) of the frame window/object.
     */
    public void setHeight(int newHeight) throws COMException {
        put("Height", new java.lang.Integer(newHeight));
    }
    /**
     * Gets the short (UI-friendly) name of the URL/file currently viewed.
     */
    public java.lang.String getLocationName() throws COMException {
        return (java.lang.String) get("LocationName");
    }
    /**
     * Gets the full URL/path currently viewed.
     */
    public java.lang.String getLocationURL() throws COMException {
        return (java.lang.String) get("LocationURL");
    }
    /**
     * Query to see if something is still in progress.
     */
    public boolean getBusy() throws COMException {
        return ((java.lang.Boolean) get("Busy")).booleanValue();
    }
    /**
     * Exits application and closes the open document.
     */
    public void Quit() throws COMException {
        invoke("Quit");
    }
    /**
     * Converts client sizes into window sizes.
     */
    public void ClientToWindow(IntegerRef pcx, IntegerRef pcy) throws COMException {
        invokeN("ClientToWindow", new Object[]{pcx, pcy}, 2);
    }
    /**
     * Associates vtValue with the name szProperty in the context of the object.
     */
    public void PutProperty(java.lang.String Property, java.lang.Object vtValue) throws COMException {
        invokeN("PutProperty", new Object[]{Property, vtValue}, 2);
    }
    /**
     * Retrieve the Associated value for the property vtValue in the context of the object.
     */
    public java.lang.Object GetProperty(java.lang.String Property) throws COMException {
        return (java.lang.Object) invokeN("GetProperty", new Object[]{Property}, 1);
    }
    /**
     * Returns name of the application.
     */
    public java.lang.String getName() throws COMException {
        return (java.lang.String) get("Name");
    }
    /**
     * Returns the HWND of the current IE window.
     */
    public int getHWND() throws COMException {
        return ((java.lang.Integer) get("HWND")).intValue();
    }
    /**
     * Returns file specification of the application, including path.
     */
    public java.lang.String getFullName() throws COMException {
        return (java.lang.String) get("FullName");
    }
    /**
     * Returns the path to the application.
     */
    public java.lang.String getPath() throws COMException {
        return (java.lang.String) get("Path");
    }
    /**
     * Determines whether the application is visible or hidden.
     */
    public boolean getVisible() throws COMException {
        return ((java.lang.Boolean) get("Visible")).booleanValue();
    }
    /**
     * Determines whether the application is visible or hidden.
     */
    public void setVisible(boolean newVisible) throws COMException {
        put("Visible", new java.lang.Boolean(newVisible));
    }
    /**
     * Turn on or off the statusbar.
     */
    public boolean getStatusBar() throws COMException {
        return ((java.lang.Boolean) get("StatusBar")).booleanValue();
    }
    /**
     * Turn on or off the statusbar.
     */
    public void setStatusBar(boolean newStatusBar) throws COMException {
        put("StatusBar", new java.lang.Boolean(newStatusBar));
    }
    /**
     * Text of Status window.
     */
    public java.lang.String getStatusText() throws COMException {
        return (java.lang.String) get("StatusText");
    }
    /**
     * Text of Status window.
     */
    public void setStatusText(java.lang.String newStatusText) throws COMException {
        put("StatusText", newStatusText);
    }
    /**
     * Controls which toolbar is shown.
     */
    public int getToolBar() throws COMException {
        return ((java.lang.Integer) get("ToolBar")).intValue();
    }
    /**
     * Controls which toolbar is shown.
     */
    public void setToolBar(int newToolBar) throws COMException {
        put("ToolBar", new java.lang.Integer(newToolBar));
    }
    /**
     * Controls whether menubar is shown.
     */
    public boolean getMenuBar() throws COMException {
        return ((java.lang.Boolean) get("MenuBar")).booleanValue();
    }
    /**
     * Controls whether menubar is shown.
     */
    public void setMenuBar(boolean newMenuBar) throws COMException {
        put("MenuBar", new java.lang.Boolean(newMenuBar));
    }
    /**
     * Maximizes window and turns off statusbar, toolbar, menubar, and titlebar.
     */
    public boolean getFullScreen() throws COMException {
        return ((java.lang.Boolean) get("FullScreen")).booleanValue();
    }
    /**
     * Maximizes window and turns off statusbar, toolbar, menubar, and titlebar.
     */
    public void setFullScreen(boolean newFullScreen) throws COMException {
        put("FullScreen", new java.lang.Boolean(newFullScreen));
    }
    /**
     * Navigates to a URL or file or pidl.
     */
    public void Navigate2(ObjectRef URL) throws COMException {
        invokeN("Navigate2", new Object[]{URL}, 1);
    }
    public void Navigate2(ObjectRef URL, ObjectRef Flags) throws COMException {
        invokeN("Navigate2", new Object[]{URL, Flags}, 2);
    }
    public void Navigate2(ObjectRef URL, ObjectRef Flags, ObjectRef TargetFrameName) throws COMException {
        invokeN("Navigate2", new Object[]{URL, Flags, TargetFrameName}, 3);
    }
    public void Navigate2(ObjectRef URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData) throws COMException {
        invokeN("Navigate2", new Object[]{URL, Flags, TargetFrameName, PostData}, 4);
    }
    public void Navigate2(ObjectRef URL, ObjectRef Flags, ObjectRef TargetFrameName, ObjectRef PostData, ObjectRef Headers) throws COMException {
        invokeN("Navigate2", new Object[]{URL, Flags, TargetFrameName, PostData, Headers}, 5);
    }
    /**
     * IOleCommandTarget::QueryStatus
     */
    public int QueryStatusWB(int cmdID) throws COMException {
        return ((java.lang.Integer) invokeN("QueryStatusWB", new Object[]{new java.lang.Integer(cmdID)}, 1)).intValue();
    }
    /**
     * IOleCommandTarget::Exec
     */
    public void ExecWB(int cmdID, int cmdexecopt) throws COMException {
        invokeN("ExecWB", new Object[]{new java.lang.Integer(cmdID), new java.lang.Integer(cmdexecopt)}, 2);
    }
    public void ExecWB(int cmdID, int cmdexecopt, ObjectRef pvaIn) throws COMException {
        invokeN("ExecWB", new Object[]{new java.lang.Integer(cmdID), new java.lang.Integer(cmdexecopt), pvaIn}, 3);
    }
    public void ExecWB(int cmdID, int cmdexecopt, ObjectRef pvaIn, ObjectRef pvaOut) throws COMException {
        invokeN("ExecWB", new Object[]{new java.lang.Integer(cmdID), new java.lang.Integer(cmdexecopt), pvaIn, pvaOut}, 4);
    }
    /**
     * Set BrowserBar to Clsid
     */
    public void ShowBrowserBar(ObjectRef pvaClsid) throws COMException {
        invokeN("ShowBrowserBar", new Object[]{pvaClsid}, 1);
    }
    public void ShowBrowserBar(ObjectRef pvaClsid, ObjectRef pvarShow) throws COMException {
        invokeN("ShowBrowserBar", new Object[]{pvaClsid, pvarShow}, 2);
    }
    public void ShowBrowserBar(ObjectRef pvaClsid, ObjectRef pvarShow, ObjectRef pvarSize) throws COMException {
        invokeN("ShowBrowserBar", new Object[]{pvaClsid, pvarShow, pvarSize}, 3);
    }
    /**
     * 
     */
    public int getReadyState() throws COMException {
        return ((java.lang.Integer) get("ReadyState")).intValue();
    }
    /**
     * Controls if the frame is offline (read from cache)
     */
    public boolean getOffline() throws COMException {
        return ((java.lang.Boolean) get("Offline")).booleanValue();
    }
    /**
     * Controls if the frame is offline (read from cache)
     */
    public void setOffline(boolean newOffline) throws COMException {
        put("Offline", new java.lang.Boolean(newOffline));
    }
    /**
     * Controls if any dialog boxes can be shown
     */
    public boolean getSilent() throws COMException {
        return ((java.lang.Boolean) get("Silent")).booleanValue();
    }
    /**
     * Controls if any dialog boxes can be shown
     */
    public void setSilent(boolean newSilent) throws COMException {
        put("Silent", new java.lang.Boolean(newSilent));
    }
    /**
     * Registers OC as a top-level browser (for target name resolution)
     */
    public boolean getRegisterAsBrowser() throws COMException {
        return ((java.lang.Boolean) get("RegisterAsBrowser")).booleanValue();
    }
    /**
     * Registers OC as a top-level browser (for target name resolution)
     */
    public void setRegisterAsBrowser(boolean newRegisterAsBrowser) throws COMException {
        put("RegisterAsBrowser", new java.lang.Boolean(newRegisterAsBrowser));
    }
    /**
     * Registers OC as a drop target for navigation
     */
    public boolean getRegisterAsDropTarget() throws COMException {
        return ((java.lang.Boolean) get("RegisterAsDropTarget")).booleanValue();
    }
    /**
     * Registers OC as a drop target for navigation
     */
    public void setRegisterAsDropTarget(boolean newRegisterAsDropTarget) throws COMException {
        put("RegisterAsDropTarget", new java.lang.Boolean(newRegisterAsDropTarget));
    }
    /**
     * Controls if the browser is in theater mode
     */
    public boolean getTheaterMode() throws COMException {
        return ((java.lang.Boolean) get("TheaterMode")).booleanValue();
    }
    /**
     * Controls if the browser is in theater mode
     */
    public void setTheaterMode(boolean newTheaterMode) throws COMException {
        put("TheaterMode", new java.lang.Boolean(newTheaterMode));
    }
    /**
     * Controls whether address bar is shown
     */
    public boolean getAddressBar() throws COMException {
        return ((java.lang.Boolean) get("AddressBar")).booleanValue();
    }
    /**
     * Controls whether address bar is shown
     */
    public void setAddressBar(boolean newAddressBar) throws COMException {
        put("AddressBar", new java.lang.Boolean(newAddressBar));
    }
    /**
     * Controls whether the window is resizable
     */
    public boolean getResizable() throws COMException {
        return ((java.lang.Boolean) get("Resizable")).booleanValue();
    }
    /**
     * Controls whether the window is resizable
     */
    public void setResizable(boolean newResizable) throws COMException {
        put("Resizable", new java.lang.Boolean(newResizable));
    }
}
