// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\MSWORD.OLB
// check for latest version at http://www.composiasoft.com

package Word;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class Window extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{00020962-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Window.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Window Object
     */
    public Window() throws COMException {
        super();
    }
    /**
     * Creates Window Object with progID
     */
    public Window(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Window Object
     */
    public Window(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Window Object with CLSID
     */
    public Window(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public Pane getActivePane() throws COMException {
        return new Pane((DispatchPtr) get("ActivePane"));
    }
    /**
     * 
     */
    public _Document getDocument() throws COMException {
        return new _Document((DispatchPtr) get("Document"));
    }
    /**
     * 
     */
    public Panes getPanes() throws COMException {
        return new Panes((DispatchPtr) get("Panes"));
    }
    /**
     * 
     */
    public Selection getSelection() throws COMException {
        return new Selection((DispatchPtr) get("Selection"));
    }
    /**
     * 
     */
    public int getLeft() throws COMException {
        return ((java.lang.Integer) get("Left")).intValue();
    }
    /**
     * 
     */
    public void setLeft(int newLeft) throws COMException {
        put("Left", new java.lang.Integer(newLeft));
    }
    /**
     * 
     */
    public int getTop() throws COMException {
        return ((java.lang.Integer) get("Top")).intValue();
    }
    /**
     * 
     */
    public void setTop(int newTop) throws COMException {
        put("Top", new java.lang.Integer(newTop));
    }
    /**
     * 
     */
    public int getWidth() throws COMException {
        return ((java.lang.Integer) get("Width")).intValue();
    }
    /**
     * 
     */
    public void setWidth(int newWidth) throws COMException {
        put("Width", new java.lang.Integer(newWidth));
    }
    /**
     * 
     */
    public int getHeight() throws COMException {
        return ((java.lang.Integer) get("Height")).intValue();
    }
    /**
     * 
     */
    public void setHeight(int newHeight) throws COMException {
        put("Height", new java.lang.Integer(newHeight));
    }
    /**
     * 
     */
    public boolean getSplit() throws COMException {
        return ((java.lang.Boolean) get("Split")).booleanValue();
    }
    /**
     * 
     */
    public void setSplit(boolean newSplit) throws COMException {
        put("Split", new java.lang.Boolean(newSplit));
    }
    /**
     * 
     */
    public int getSplitVertical() throws COMException {
        return ((java.lang.Integer) get("SplitVertical")).intValue();
    }
    /**
     * 
     */
    public void setSplitVertical(int newSplitVertical) throws COMException {
        put("SplitVertical", new java.lang.Integer(newSplitVertical));
    }
    /**
     * 
     */
    public java.lang.String getCaption() throws COMException {
        return (java.lang.String) get("Caption");
    }
    /**
     * 
     */
    public void setCaption(java.lang.String newCaption) throws COMException {
        put("Caption", newCaption);
    }
    /**
     * 
     */
    public int getWindowState() throws COMException {
        return ((java.lang.Integer) get("WindowState")).intValue();
    }
    /**
     * 
     */
    public void setWindowState(int newWindowState) throws COMException {
        put("WindowState", new java.lang.Integer(newWindowState));
    }
    /**
     * 
     */
    public boolean getDisplayRulers() throws COMException {
        return ((java.lang.Boolean) get("DisplayRulers")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayRulers(boolean newDisplayRulers) throws COMException {
        put("DisplayRulers", new java.lang.Boolean(newDisplayRulers));
    }
    /**
     * 
     */
    public boolean getDisplayVerticalRuler() throws COMException {
        return ((java.lang.Boolean) get("DisplayVerticalRuler")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayVerticalRuler(boolean newDisplayVerticalRuler) throws COMException {
        put("DisplayVerticalRuler", new java.lang.Boolean(newDisplayVerticalRuler));
    }
    /**
     * 
     */
    public View getView() throws COMException {
        return new View((DispatchPtr) get("View"));
    }
    /**
     * 
     */
    public int getType() throws COMException {
        return ((java.lang.Integer) get("Type")).intValue();
    }
    /**
     * 
     */
    public Window getNext() throws COMException {
        return new Window((DispatchPtr) get("Next"));
    }
    /**
     * 
     */
    public Window getPrevious() throws COMException {
        return new Window((DispatchPtr) get("Previous"));
    }
    /**
     * 
     */
    public int getWindowNumber() throws COMException {
        return ((java.lang.Integer) get("WindowNumber")).intValue();
    }
    /**
     * 
     */
    public boolean getDisplayVerticalScrollBar() throws COMException {
        return ((java.lang.Boolean) get("DisplayVerticalScrollBar")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayVerticalScrollBar(boolean newDisplayVerticalScrollBar) throws COMException {
        put("DisplayVerticalScrollBar", new java.lang.Boolean(newDisplayVerticalScrollBar));
    }
    /**
     * 
     */
    public boolean getDisplayHorizontalScrollBar() throws COMException {
        return ((java.lang.Boolean) get("DisplayHorizontalScrollBar")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayHorizontalScrollBar(boolean newDisplayHorizontalScrollBar) throws COMException {
        put("DisplayHorizontalScrollBar", new java.lang.Boolean(newDisplayHorizontalScrollBar));
    }
    /**
     * 
     */
    public float getStyleAreaWidth() throws COMException {
        return ((java.lang.Float) get("StyleAreaWidth")).floatValue();
    }
    /**
     * 
     */
    public void setStyleAreaWidth(float newStyleAreaWidth) throws COMException {
        put("StyleAreaWidth", new java.lang.Float(newStyleAreaWidth));
    }
    /**
     * 
     */
    public boolean getDisplayScreenTips() throws COMException {
        return ((java.lang.Boolean) get("DisplayScreenTips")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayScreenTips(boolean newDisplayScreenTips) throws COMException {
        put("DisplayScreenTips", new java.lang.Boolean(newDisplayScreenTips));
    }
    /**
     * 
     */
    public int getHorizontalPercentScrolled() throws COMException {
        return ((java.lang.Integer) get("HorizontalPercentScrolled")).intValue();
    }
    /**
     * 
     */
    public void setHorizontalPercentScrolled(int newHorizontalPercentScrolled) throws COMException {
        put("HorizontalPercentScrolled", new java.lang.Integer(newHorizontalPercentScrolled));
    }
    /**
     * 
     */
    public int getVerticalPercentScrolled() throws COMException {
        return ((java.lang.Integer) get("VerticalPercentScrolled")).intValue();
    }
    /**
     * 
     */
    public void setVerticalPercentScrolled(int newVerticalPercentScrolled) throws COMException {
        put("VerticalPercentScrolled", new java.lang.Integer(newVerticalPercentScrolled));
    }
    /**
     * 
     */
    public boolean getDocumentMap() throws COMException {
        return ((java.lang.Boolean) get("DocumentMap")).booleanValue();
    }
    /**
     * 
     */
    public void setDocumentMap(boolean newDocumentMap) throws COMException {
        put("DocumentMap", new java.lang.Boolean(newDocumentMap));
    }
    /**
     * 
     */
    public boolean getActive() throws COMException {
        return ((java.lang.Boolean) get("Active")).booleanValue();
    }
    /**
     * 
     */
    public int getDocumentMapPercentWidth() throws COMException {
        return ((java.lang.Integer) get("DocumentMapPercentWidth")).intValue();
    }
    /**
     * 
     */
    public void setDocumentMapPercentWidth(int newDocumentMapPercentWidth) throws COMException {
        put("DocumentMapPercentWidth", new java.lang.Integer(newDocumentMapPercentWidth));
    }
    /**
     * 
     */
    public int getIndex() throws COMException {
        return ((java.lang.Integer) get("Index")).intValue();
    }
    /**
     * 
     */
    public int getIMEMode() throws COMException {
        return ((java.lang.Integer) get("IMEMode")).intValue();
    }
    /**
     * 
     */
    public void setIMEMode(int newIMEMode) throws COMException {
        put("IMEMode", new java.lang.Integer(newIMEMode));
    }
    /**
     * 
     */
    public void Activate() throws COMException {
        invoke("Activate");
    }
    /**
     * 
     */
    public void Close() throws COMException {
        invoke("Close");
    }
    public void Close(ObjectRef SaveChanges) throws COMException {
        invokeN("Close", new Object[]{SaveChanges}, 1);
    }
    public void Close(ObjectRef SaveChanges, ObjectRef RouteDocument) throws COMException {
        invokeN("Close", new Object[]{SaveChanges, RouteDocument}, 2);
    }
    /**
     * 
     */
    public void LargeScroll() throws COMException {
        invoke("LargeScroll");
    }
    public void LargeScroll(ObjectRef Down) throws COMException {
        invokeN("LargeScroll", new Object[]{Down}, 1);
    }
    public void LargeScroll(ObjectRef Down, ObjectRef Up) throws COMException {
        invokeN("LargeScroll", new Object[]{Down, Up}, 2);
    }
    public void LargeScroll(ObjectRef Down, ObjectRef Up, ObjectRef ToRight) throws COMException {
        invokeN("LargeScroll", new Object[]{Down, Up, ToRight}, 3);
    }
    public void LargeScroll(ObjectRef Down, ObjectRef Up, ObjectRef ToRight, ObjectRef ToLeft) throws COMException {
        invokeN("LargeScroll", new Object[]{Down, Up, ToRight, ToLeft}, 4);
    }
    /**
     * 
     */
    public void SmallScroll() throws COMException {
        invoke("SmallScroll");
    }
    public void SmallScroll(ObjectRef Down) throws COMException {
        invokeN("SmallScroll", new Object[]{Down}, 1);
    }
    public void SmallScroll(ObjectRef Down, ObjectRef Up) throws COMException {
        invokeN("SmallScroll", new Object[]{Down, Up}, 2);
    }
    public void SmallScroll(ObjectRef Down, ObjectRef Up, ObjectRef ToRight) throws COMException {
        invokeN("SmallScroll", new Object[]{Down, Up, ToRight}, 3);
    }
    public void SmallScroll(ObjectRef Down, ObjectRef Up, ObjectRef ToRight, ObjectRef ToLeft) throws COMException {
        invokeN("SmallScroll", new Object[]{Down, Up, ToRight, ToLeft}, 4);
    }
    /**
     * 
     */
    public Window NewWindow() throws COMException {
        return new Window((DispatchPtr) invoke("NewWindow"));
    }
    /**
     * 
     */
    public void PrintOutOld() throws COMException {
        invoke("PrintOutOld");
    }
    public void PrintOutOld(ObjectRef Background) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background}, 1);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append}, 2);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range}, 3);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName}, 4);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From}, 5);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To}, 6);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item}, 7);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies}, 8);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages}, 9);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType}, 10);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile}, 11);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate}, 12);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX}, 13);
    }
    public void PrintOutOld(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint) throws COMException {
        invokeN("PrintOutOld", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint}, 14);
    }
    /**
     * 
     */
    public void PageScroll() throws COMException {
        invoke("PageScroll");
    }
    public void PageScroll(ObjectRef Down) throws COMException {
        invokeN("PageScroll", new Object[]{Down}, 1);
    }
    public void PageScroll(ObjectRef Down, ObjectRef Up) throws COMException {
        invokeN("PageScroll", new Object[]{Down, Up}, 2);
    }
    /**
     * 
     */
    public void SetFocus() throws COMException {
        invoke("SetFocus");
    }
    /**
     * 
     */
    public DispatchPtr RangeFromPoint(int x, int y) throws COMException {
        return (DispatchPtr) invokeN("RangeFromPoint", new Object[]{new java.lang.Integer(x), new java.lang.Integer(y)}, 2);
    }
    /**
     * 
     */
    public void ScrollIntoView(DispatchPtr obj) throws COMException {
        invokeN("ScrollIntoView", new Object[]{obj}, 1);
    }
    public void ScrollIntoView(DispatchPtr obj, ObjectRef Start) throws COMException {
        invokeN("ScrollIntoView", new Object[]{obj, Start}, 2);
    }
    /**
     * 
     */
    public void GetPoint(IntegerRef ScreenPixelsLeft, IntegerRef ScreenPixelsTop, IntegerRef ScreenPixelsWidth, IntegerRef ScreenPixelsHeight, DispatchPtr obj) throws COMException {
        invokeN("GetPoint", new Object[]{ScreenPixelsLeft, ScreenPixelsTop, ScreenPixelsWidth, ScreenPixelsHeight, obj}, 5);
    }
    /**
     * 
     */
    public void PrintOut2000() throws COMException {
        invoke("PrintOut2000");
    }
    public void PrintOut2000(ObjectRef Background) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background}, 1);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append}, 2);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range}, 3);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName}, 4);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From}, 5);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To}, 6);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item}, 7);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies}, 8);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages}, 9);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType}, 10);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile}, 11);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate}, 12);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX}, 13);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint}, 14);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn}, 15);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow}, 16);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow, ObjectRef PrintZoomPaperWidth) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow, PrintZoomPaperWidth}, 17);
    }
    public void PrintOut2000(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow, ObjectRef PrintZoomPaperWidth, ObjectRef PrintZoomPaperHeight) throws COMException {
        invokeN("PrintOut2000", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow, PrintZoomPaperWidth, PrintZoomPaperHeight}, 18);
    }
    /**
     * 
     */
    public int getUsableWidth() throws COMException {
        return ((java.lang.Integer) get("UsableWidth")).intValue();
    }
    /**
     * 
     */
    public int getUsableHeight() throws COMException {
        return ((java.lang.Integer) get("UsableHeight")).intValue();
    }
    /**
     * 
     */
    public boolean getEnvelopeVisible() throws COMException {
        return ((java.lang.Boolean) get("EnvelopeVisible")).booleanValue();
    }
    /**
     * 
     */
    public void setEnvelopeVisible(boolean newEnvelopeVisible) throws COMException {
        put("EnvelopeVisible", new java.lang.Boolean(newEnvelopeVisible));
    }
    /**
     * 
     */
    public boolean getDisplayRightRuler() throws COMException {
        return ((java.lang.Boolean) get("DisplayRightRuler")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayRightRuler(boolean newDisplayRightRuler) throws COMException {
        put("DisplayRightRuler", new java.lang.Boolean(newDisplayRightRuler));
    }
    /**
     * 
     */
    public boolean getDisplayLeftScrollBar() throws COMException {
        return ((java.lang.Boolean) get("DisplayLeftScrollBar")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayLeftScrollBar(boolean newDisplayLeftScrollBar) throws COMException {
        put("DisplayLeftScrollBar", new java.lang.Boolean(newDisplayLeftScrollBar));
    }
    /**
     * 
     */
    public boolean getVisible() throws COMException {
        return ((java.lang.Boolean) get("Visible")).booleanValue();
    }
    /**
     * 
     */
    public void setVisible(boolean newVisible) throws COMException {
        put("Visible", new java.lang.Boolean(newVisible));
    }
    /**
     * 
     */
    public void PrintOut() throws COMException {
        invoke("PrintOut");
    }
    public void PrintOut(ObjectRef Background) throws COMException {
        invokeN("PrintOut", new Object[]{Background}, 1);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append}, 2);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range}, 3);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName}, 4);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From}, 5);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To}, 6);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item}, 7);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies}, 8);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages}, 9);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType}, 10);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile}, 11);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate}, 12);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX}, 13);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint}, 14);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn}, 15);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow}, 16);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow, ObjectRef PrintZoomPaperWidth) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow, PrintZoomPaperWidth}, 17);
    }
    public void PrintOut(ObjectRef Background, ObjectRef Append, ObjectRef Range, ObjectRef OutputFileName, ObjectRef From, ObjectRef To, ObjectRef Item, ObjectRef Copies, ObjectRef Pages, ObjectRef PageType, ObjectRef PrintToFile, ObjectRef Collate, ObjectRef ActivePrinterMacGX, ObjectRef ManualDuplexPrint, ObjectRef PrintZoomColumn, ObjectRef PrintZoomRow, ObjectRef PrintZoomPaperWidth, ObjectRef PrintZoomPaperHeight) throws COMException {
        invokeN("PrintOut", new Object[]{Background, Append, Range, OutputFileName, From, To, Item, Copies, Pages, PageType, PrintToFile, Collate, ActivePrinterMacGX, ManualDuplexPrint, PrintZoomColumn, PrintZoomRow, PrintZoomPaperWidth, PrintZoomPaperHeight}, 18);
    }
}
